Kerbal Space Program - Bug #24222

Some handles inverted on Maneuver Mode GMU
10/28/2019 09:43 AM - realkerbal3x

Status: Resolved Start date: 10/28/2019
Severity: Low % Done: 100%
Assignee: victorr

Category: Controls and Ul

Target version: 1.12.0

Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Description: On the Maneuver Mode Graphical Maneuver Editor, the retrograde, anti-normal and radial-in handles are inverted.
Steps to Replicate:

1. Cheat a vessel into orbit.

2. Create a maneuver node.

3. On the Maneuver Mode window that appears, go to the Graphical Maneuver Editor tab.

4. Attempt to add retrograde dV using the retrograde handle.

Expected result: Retrograde dV is added to the node.

Observed result: Prograde dV is added to the node.

Workaround: Pull the inverted handles backwards to add dV in the correct direction.

History

#1 - 10/29/2019 09:34 PM - victorr
- Status changed from New to Confirmed
- Assignee set to victorr

- % Done changed from 0 to 10

#3 - 11/22/2019 11:32 AM - Kirk

| had this occur to me as well, but so far only in one specific case. In my case, | was adjusting a maneuver node of a ship in Mun orbit, that would
transfer it into Minmus orbit. Any handle | pulled outwards added dV.

#4 - 06/24/2021 10:52 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.

#5 - 08/06/2021 08:19 PM - Technicalfool
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

This appears to be fixed in the latest version. Please continue to report any related bugs though!
